CallToWrapper
Keywords: uk.ac.bbk.dcs.automed.qproc.functions.internal.CallToWrapper class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.qproc.functions.internal
Class CallToWrapper

    java.lang.Object
      uk.ac.bbk.dcs.automed.qproc.functions.BuiltInFunction
          uk.ac.bbk.dcs.automed.qproc.functions.internal.CallToWrapper

Direct Known Subclasses:
  Call2Wrapper

    public class CallToWrapper

extends BuiltInFunction

Field Summary
`protected long` | `cacheEnd`
`protected boolean` | `cacheOn`
`protected long` | `cacheStart`
`static long` | `cacheTimeSpent`
`protected long` | `copyEnd`
`protected long` | `copyStart`
`static long` | `copyTimeSpent`
`protected long` | `dsEnd`
`protected long` | `dsStart`
`static long` | `dsTimeSpent`
`static int` | `realWrapperCalls`
`protected long` | `totalEnd`
`protected long` | `totalStart`
`static long` | `totalTimeSpent`
`static int` | `totalWrapperCalls`

Fields inherited from class uk.ac.bbk.dcs.automed.qproc.functions.BuiltInFunction
`arity, logger, typeList`

Constructor Summary
`CallToWrapper()`

Method Summary
`protected boolean` | `cacheResult(ASG g, ASG q, Cell result, java.util.Map cache)`
`static void` | `initialisePerfVars()`
`Cell` | `perform(Cell[] args, Evaluator e)`
`protected Cell` | `readFile(java.lang.Object o, Evaluator e, ASG q, java.util.Map cache)`

Methods inherited from class uk.ac.bbk.dcs.automed.qproc.functions.BuiltInFunction
`finalize, getArity, getTypeList`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cacheOn

    protected boolean cacheOn

### totalWrapperCalls

    public static int totalWrapperCalls

### realWrapperCalls

    public static int realWrapperCalls

### totalTimeSpent

    public static long totalTimeSpent

### cacheTimeSpent

    public static long cacheTimeSpent

### dsTimeSpent

    public static long dsTimeSpent

### copyTimeSpent

    public static long copyTimeSpent

### totalStart

    protected long totalStart

### totalEnd

    protected long totalEnd

### cacheStart

    protected long cacheStart

### cacheEnd

    protected long cacheEnd

### dsStart

    protected long dsStart

### dsEnd

    protected long dsEnd

### copyStart

    protected long copyStart

### copyEnd

    protected long copyEnd

Constructor Detail

### CallToWrapper

    public CallToWrapper()
                  throws ParseException

Throws:
  `ParseException`

Method Detail

### initialisePerfVars

    public static void initialisePerfVars()

### perform

    public Cell perform(Cell[] args,
                        Evaluator e)
                 throws TypeException,
                        QProcException

  Specified by:
    `perform` in class `BuiltInFunction`
  Returns:
    a Cell object that is the root of a graph that represents the result of applying the built-in function to the arguments args. Uses the Evaluator e to evaluate any sub-queries that need to be evaluated.
  Throws:
    `TypeException`
    `QProcException`

### readFile

    protected Cell readFile(java.lang.Object o,
                            Evaluator e,
                            ASG q,
                            java.util.Map cache)

### cacheResult

    protected boolean cacheResult(ASG g,
                                  ASG q,
                                  Cell result,
                                  java.util.Map cache)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD